Get equities
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/GetEquities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"descriptors": [
{
"value": {
"dividend_start_date": "2000-01-23T04:56:07.000+00:00",
"dividend_end_date": "2000-01-23T04:56:07.000+00:00",
"spot_fixing_end_date": "2000-01-23T04:56:07.000+00:00",
"spot_fixing_start_date": "2000-01-23T04:56:07.000+00:00"
},
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
},
{
"value": {
"dividend_start_date": "2000-01-23T04:56:07.000+00:00",
"dividend_end_date": "2000-01-23T04:56:07.000+00:00",
"spot_fixing_end_date": "2000-01-23T04:56:07.000+00:00",
"spot_fixing_start_date": "2000-01-23T04:56:07.000+00:00"
},
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
}
],
"identifiers": [
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
],
"market_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/GetEquities"
payload = {
"descriptors": [
{
"value": {
"dividend_start_date": "2000-01-23T04:56:07.000+00:00",
"dividend_end_date": "2000-01-23T04:56:07.000+00:00",
"spot_fixing_end_date": "2000-01-23T04:56:07.000+00:00",
"spot_fixing_start_date": "2000-01-23T04:56:07.000+00:00"
},
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
},
{
"value": {
"dividend_start_date": "2000-01-23T04:56:07.000+00:00",
"dividend_end_date": "2000-01-23T04:56:07.000+00:00",
"spot_fixing_end_date": "2000-01-23T04:56:07.000+00:00",
"spot_fixing_start_date": "2000-01-23T04:56:07.000+00:00"
},
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
}
],
"identifiers": [
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
],
"market_dates": ["2000-01-23T04:56:07.000+00:00", "2000-01-23T04:56:07.000+00:00"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
descriptors: [
{
value: {
dividend_start_date: '2000-01-23T04:56:07.000+00:00',
dividend_end_date: '2000-01-23T04:56:07.000+00:00',
spot_fixing_end_date: '2000-01-23T04:56:07.000+00:00',
spot_fixing_start_date: '2000-01-23T04:56:07.000+00:00'
},
key: {
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
}
},
{
value: {
dividend_start_date: '2000-01-23T04:56:07.000+00:00',
dividend_end_date: '2000-01-23T04:56:07.000+00:00',
spot_fixing_end_date: '2000-01-23T04:56:07.000+00:00',
spot_fixing_start_date: '2000-01-23T04:56:07.000+00:00'
},
key: {
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
}
}
],
identifiers: [
{
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
},
{
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
}
],
market_dates: ['2000-01-23T04:56:07.000+00:00', '2000-01-23T04:56:07.000+00:00']
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/GetEquities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/GetEquities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'descriptors' => [
[
'value' => [
'dividend_start_date' => '2000-01-23T04:56:07.000+00:00',
'dividend_end_date' => '2000-01-23T04:56:07.000+00:00',
'spot_fixing_end_date' => '2000-01-23T04:56:07.000+00:00',
'spot_fixing_start_date' => '2000-01-23T04:56:07.000+00:00'
],
'key' => [
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
]
],
[
'value' => [
'dividend_start_date' => '2000-01-23T04:56:07.000+00:00',
'dividend_end_date' => '2000-01-23T04:56:07.000+00:00',
'spot_fixing_end_date' => '2000-01-23T04:56:07.000+00:00',
'spot_fixing_start_date' => '2000-01-23T04:56:07.000+00:00'
],
'key' => [
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
]
]
],
'identifiers' => [
[
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
],
[
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
]
],
'market_dates' => [
'2000-01-23T04:56:07.000+00:00',
'2000-01-23T04:56:07.000+00:00'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/GetEquities"
payload := strings.NewReader("{\n \"descriptors\": [\n {\n \"value\": {\n \"dividend_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"dividend_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\"\n },\n \"key\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n },\n {\n \"value\": {\n \"dividend_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"dividend_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\"\n },\n \"key\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n }\n ],\n \"identifiers\": [\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n ],\n \"market_dates\": [\n \"2000-01-23T04:56:07.000+00:00\",\n \"2000-01-23T04:56:07.000+00:00\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/GetEquities")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"descriptors\": [\n {\n \"value\": {\n \"dividend_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"dividend_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\"\n },\n \"key\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n },\n {\n \"value\": {\n \"dividend_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"dividend_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\"\n },\n \"key\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n }\n ],\n \"identifiers\": [\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n ],\n \"market_dates\": [\n \"2000-01-23T04:56:07.000+00:00\",\n \"2000-01-23T04:56:07.000+00:00\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/GetEquities")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"descriptors\": [\n {\n \"value\": {\n \"dividend_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"dividend_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\"\n },\n \"key\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n },\n {\n \"value\": {\n \"dividend_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"dividend_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\"\n },\n \"key\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n }\n ],\n \"identifiers\": [\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n ],\n \"market_dates\": [\n \"2000-01-23T04:56:07.000+00:00\",\n \"2000-01-23T04:56:07.000+00:00\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"equities": [
{
"futures_date": "2000-01-23T04:56:07.000+00:00",
"yield_curve": {
"curve_name": "curve_name",
"maturities": [
3,
3
],
"discount_factors": [
9.301444243932576,
9.301444243932576
],
"currency": "currency",
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
},
"borrow_curve": {
"asset_name": "asset_name",
"maturities": [
6,
6
],
"discount_factors": [
0.8008281904610115,
0.8008281904610115
],
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
},
"fixings": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"roll_fixing": 1.2315135367772556,
"settlement_lag": 1,
"futures_price": 7.061401241503109,
"dividends": {
"declared_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"pay_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"all_in_rates": [
1.4658129805029452,
1.4658129805029452
],
"ex_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"div_types": [
"Regular",
"Regular"
],
"confirmed_flags": [
true,
true
],
"cash_divs": [
5.962133916683182,
5.962133916683182
],
"div_yields": [
5.637376656633329,
5.637376656633329
],
"reference_date": "2000-01-23T04:56:07.000+00:00",
"record_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"currencies": [
"currencies",
"currencies"
]
},
"name": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"fx_cross_map": {
"key": {
"domestic_discount_curve": {
"curve_name": "curve_name",
"maturities": [
3,
3
],
"discount_factors": [
9.301444243932576,
9.301444243932576
],
"currency": "currency",
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
},
"is_quoted_fx_cross": true,
"fixings_by_source": [
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
},
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
}
],
"roll_fixing": 2.027123023002322,
"fx_pair": "fx_pair",
"spot": 7.386281948385884,
"foreign_discount_curve": {
"curve_name": "curve_name",
"maturities": [
3,
3
],
"discount_factors": [
9.301444243932576,
9.301444243932576
],
"currency": "currency",
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
},
"high_fixings_by_source": [
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
},
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
}
],
"low_fixings_by_source": [
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
},
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
}
],
"settlement": {
"foreign_calendar": {
"holidays": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"name": "name",
"include_weekends": true
},
"settlement_lag": 4,
"domestic_calendar": {
"holidays": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"name": "name",
"include_weekends": true
},
"usd_calendar": {
"holidays": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"name": "name",
"include_weekends": true
},
"is_special_lat_am_cross": true
}
}
},
"holiday_calendar": {
"holidays": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"name": "name",
"include_weekends": true
}
},
{
"futures_date": "2000-01-23T04:56:07.000+00:00",
"yield_curve": {
"curve_name": "curve_name",
"maturities": [
3,
3
],
"discount_factors": [
9.301444243932576,
9.301444243932576
],
"currency": "currency",
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
},
"borrow_curve": {
"asset_name": "asset_name",
"maturities": [
6,
6
],
"discount_factors": [
0.8008281904610115,
0.8008281904610115
],
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
},
"fixings": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"roll_fixing": 1.2315135367772556,
"settlement_lag": 1,
"futures_price": 7.061401241503109,
"dividends": {
"declared_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"pay_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"all_in_rates": [
1.4658129805029452,
1.4658129805029452
],
"ex_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"div_types": [
"Regular",
"Regular"
],
"confirmed_flags": [
true,
true
],
"cash_divs": [
5.962133916683182,
5.962133916683182
],
"div_yields": [
5.637376656633329,
5.637376656633329
],
"reference_date": "2000-01-23T04:56:07.000+00:00",
"record_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"currencies": [
"currencies",
"currencies"
]
},
"name": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"fx_cross_map": {
"key": {
"domestic_discount_curve": {
"curve_name": "curve_name",
"maturities": [
3,
3
],
"discount_factors": [
9.301444243932576,
9.301444243932576
],
"currency": "currency",
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
},
"is_quoted_fx_cross": true,
"fixings_by_source": [
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
},
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
}
],
"roll_fixing": 2.027123023002322,
"fx_pair": "fx_pair",
"spot": 7.386281948385884,
"foreign_discount_curve": {
"curve_name": "curve_name",
"maturities": [
3,
3
],
"discount_factors": [
9.301444243932576,
9.301444243932576
],
"currency": "currency",
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
},
"high_fixings_by_source": [
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
},
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
}
],
"low_fixings_by_source": [
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
},
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
}
],
"settlement": {
"foreign_calendar": {
"holidays": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"name": "name",
"include_weekends": true
},
"settlement_lag": 4,
"domestic_calendar": {
"holidays": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"name": "name",
"include_weekends": true
},
"usd_calendar": {
"holidays": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"name": "name",
"include_weekends": true
},
"is_special_lat_am_cross": true
}
}
},
"holiday_calendar": {
"holidays": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"name": "name",
"include_weekends": true
}
}
]
}Get equities
POST
/
api
/
MarketData
/
GetEquities
Get equities
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/GetEquities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"descriptors": [
{
"value": {
"dividend_start_date": "2000-01-23T04:56:07.000+00:00",
"dividend_end_date": "2000-01-23T04:56:07.000+00:00",
"spot_fixing_end_date": "2000-01-23T04:56:07.000+00:00",
"spot_fixing_start_date": "2000-01-23T04:56:07.000+00:00"
},
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
},
{
"value": {
"dividend_start_date": "2000-01-23T04:56:07.000+00:00",
"dividend_end_date": "2000-01-23T04:56:07.000+00:00",
"spot_fixing_end_date": "2000-01-23T04:56:07.000+00:00",
"spot_fixing_start_date": "2000-01-23T04:56:07.000+00:00"
},
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
}
],
"identifiers": [
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
],
"market_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/GetEquities"
payload = {
"descriptors": [
{
"value": {
"dividend_start_date": "2000-01-23T04:56:07.000+00:00",
"dividend_end_date": "2000-01-23T04:56:07.000+00:00",
"spot_fixing_end_date": "2000-01-23T04:56:07.000+00:00",
"spot_fixing_start_date": "2000-01-23T04:56:07.000+00:00"
},
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
},
{
"value": {
"dividend_start_date": "2000-01-23T04:56:07.000+00:00",
"dividend_end_date": "2000-01-23T04:56:07.000+00:00",
"spot_fixing_end_date": "2000-01-23T04:56:07.000+00:00",
"spot_fixing_start_date": "2000-01-23T04:56:07.000+00:00"
},
"key": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
}
],
"identifiers": [
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
{
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
}
],
"market_dates": ["2000-01-23T04:56:07.000+00:00", "2000-01-23T04:56:07.000+00:00"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
descriptors: [
{
value: {
dividend_start_date: '2000-01-23T04:56:07.000+00:00',
dividend_end_date: '2000-01-23T04:56:07.000+00:00',
spot_fixing_end_date: '2000-01-23T04:56:07.000+00:00',
spot_fixing_start_date: '2000-01-23T04:56:07.000+00:00'
},
key: {
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
}
},
{
value: {
dividend_start_date: '2000-01-23T04:56:07.000+00:00',
dividend_end_date: '2000-01-23T04:56:07.000+00:00',
spot_fixing_end_date: '2000-01-23T04:56:07.000+00:00',
spot_fixing_start_date: '2000-01-23T04:56:07.000+00:00'
},
key: {
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
}
}
],
identifiers: [
{
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
},
{
code: 'code',
market_identification_code: 'market_identification_code',
identifier_type: 'Derivitec'
}
],
market_dates: ['2000-01-23T04:56:07.000+00:00', '2000-01-23T04:56:07.000+00:00']
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/GetEquities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/GetEquities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'descriptors' => [
[
'value' => [
'dividend_start_date' => '2000-01-23T04:56:07.000+00:00',
'dividend_end_date' => '2000-01-23T04:56:07.000+00:00',
'spot_fixing_end_date' => '2000-01-23T04:56:07.000+00:00',
'spot_fixing_start_date' => '2000-01-23T04:56:07.000+00:00'
],
'key' => [
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
]
],
[
'value' => [
'dividend_start_date' => '2000-01-23T04:56:07.000+00:00',
'dividend_end_date' => '2000-01-23T04:56:07.000+00:00',
'spot_fixing_end_date' => '2000-01-23T04:56:07.000+00:00',
'spot_fixing_start_date' => '2000-01-23T04:56:07.000+00:00'
],
'key' => [
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
]
]
],
'identifiers' => [
[
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
],
[
'code' => 'code',
'market_identification_code' => 'market_identification_code',
'identifier_type' => 'Derivitec'
]
],
'market_dates' => [
'2000-01-23T04:56:07.000+00:00',
'2000-01-23T04:56:07.000+00:00'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/GetEquities"
payload := strings.NewReader("{\n \"descriptors\": [\n {\n \"value\": {\n \"dividend_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"dividend_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\"\n },\n \"key\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n },\n {\n \"value\": {\n \"dividend_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"dividend_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\"\n },\n \"key\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n }\n ],\n \"identifiers\": [\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n ],\n \"market_dates\": [\n \"2000-01-23T04:56:07.000+00:00\",\n \"2000-01-23T04:56:07.000+00:00\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/GetEquities")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"descriptors\": [\n {\n \"value\": {\n \"dividend_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"dividend_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\"\n },\n \"key\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n },\n {\n \"value\": {\n \"dividend_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"dividend_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\"\n },\n \"key\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n }\n ],\n \"identifiers\": [\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n ],\n \"market_dates\": [\n \"2000-01-23T04:56:07.000+00:00\",\n \"2000-01-23T04:56:07.000+00:00\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/GetEquities")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"descriptors\": [\n {\n \"value\": {\n \"dividend_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"dividend_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\"\n },\n \"key\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n },\n {\n \"value\": {\n \"dividend_start_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"dividend_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_fixing_end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_fixing_start_date\": \"2000-01-23T04:56:07.000+00:00\"\n },\n \"key\": {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n }\n ],\n \"identifiers\": [\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n },\n {\n \"code\": \"code\",\n \"market_identification_code\": \"market_identification_code\",\n \"identifier_type\": \"Derivitec\"\n }\n ],\n \"market_dates\": [\n \"2000-01-23T04:56:07.000+00:00\",\n \"2000-01-23T04:56:07.000+00:00\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"equities": [
{
"futures_date": "2000-01-23T04:56:07.000+00:00",
"yield_curve": {
"curve_name": "curve_name",
"maturities": [
3,
3
],
"discount_factors": [
9.301444243932576,
9.301444243932576
],
"currency": "currency",
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
},
"borrow_curve": {
"asset_name": "asset_name",
"maturities": [
6,
6
],
"discount_factors": [
0.8008281904610115,
0.8008281904610115
],
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
},
"fixings": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"roll_fixing": 1.2315135367772556,
"settlement_lag": 1,
"futures_price": 7.061401241503109,
"dividends": {
"declared_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"pay_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"all_in_rates": [
1.4658129805029452,
1.4658129805029452
],
"ex_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"div_types": [
"Regular",
"Regular"
],
"confirmed_flags": [
true,
true
],
"cash_divs": [
5.962133916683182,
5.962133916683182
],
"div_yields": [
5.637376656633329,
5.637376656633329
],
"reference_date": "2000-01-23T04:56:07.000+00:00",
"record_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"currencies": [
"currencies",
"currencies"
]
},
"name": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"fx_cross_map": {
"key": {
"domestic_discount_curve": {
"curve_name": "curve_name",
"maturities": [
3,
3
],
"discount_factors": [
9.301444243932576,
9.301444243932576
],
"currency": "currency",
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
},
"is_quoted_fx_cross": true,
"fixings_by_source": [
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
},
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
}
],
"roll_fixing": 2.027123023002322,
"fx_pair": "fx_pair",
"spot": 7.386281948385884,
"foreign_discount_curve": {
"curve_name": "curve_name",
"maturities": [
3,
3
],
"discount_factors": [
9.301444243932576,
9.301444243932576
],
"currency": "currency",
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
},
"high_fixings_by_source": [
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
},
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
}
],
"low_fixings_by_source": [
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
},
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
}
],
"settlement": {
"foreign_calendar": {
"holidays": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"name": "name",
"include_weekends": true
},
"settlement_lag": 4,
"domestic_calendar": {
"holidays": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"name": "name",
"include_weekends": true
},
"usd_calendar": {
"holidays": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"name": "name",
"include_weekends": true
},
"is_special_lat_am_cross": true
}
}
},
"holiday_calendar": {
"holidays": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"name": "name",
"include_weekends": true
}
},
{
"futures_date": "2000-01-23T04:56:07.000+00:00",
"yield_curve": {
"curve_name": "curve_name",
"maturities": [
3,
3
],
"discount_factors": [
9.301444243932576,
9.301444243932576
],
"currency": "currency",
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
},
"borrow_curve": {
"asset_name": "asset_name",
"maturities": [
6,
6
],
"discount_factors": [
0.8008281904610115,
0.8008281904610115
],
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
},
"fixings": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"roll_fixing": 1.2315135367772556,
"settlement_lag": 1,
"futures_price": 7.061401241503109,
"dividends": {
"declared_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"pay_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"all_in_rates": [
1.4658129805029452,
1.4658129805029452
],
"ex_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"div_types": [
"Regular",
"Regular"
],
"confirmed_flags": [
true,
true
],
"cash_divs": [
5.962133916683182,
5.962133916683182
],
"div_yields": [
5.637376656633329,
5.637376656633329
],
"reference_date": "2000-01-23T04:56:07.000+00:00",
"record_dates": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"currencies": [
"currencies",
"currencies"
]
},
"name": {
"code": "code",
"market_identification_code": "market_identification_code",
"identifier_type": "Derivitec"
},
"fx_cross_map": {
"key": {
"domestic_discount_curve": {
"curve_name": "curve_name",
"maturities": [
3,
3
],
"discount_factors": [
9.301444243932576,
9.301444243932576
],
"currency": "currency",
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
},
"is_quoted_fx_cross": true,
"fixings_by_source": [
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
},
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
}
],
"roll_fixing": 2.027123023002322,
"fx_pair": "fx_pair",
"spot": 7.386281948385884,
"foreign_discount_curve": {
"curve_name": "curve_name",
"maturities": [
3,
3
],
"discount_factors": [
9.301444243932576,
9.301444243932576
],
"currency": "currency",
"extrapolate": true,
"value_date": "2000-01-23T04:56:07.000+00:00"
},
"high_fixings_by_source": [
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
},
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
}
],
"low_fixings_by_source": [
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
},
{
"value": {
"values": [
2.3021358869347655,
2.3021358869347655
],
"dates": [
"dates",
"dates"
],
"asset_id": "asset_id"
},
"key": "key"
}
],
"settlement": {
"foreign_calendar": {
"holidays": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"name": "name",
"include_weekends": true
},
"settlement_lag": 4,
"domestic_calendar": {
"holidays": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"name": "name",
"include_weekends": true
},
"usd_calendar": {
"holidays": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"name": "name",
"include_weekends": true
},
"is_special_lat_am_cross": true
}
}
},
"holiday_calendar": {
"holidays": [
"2000-01-23T04:56:07.000+00:00",
"2000-01-23T04:56:07.000+00:00"
],
"name": "name",
"include_weekends": true
}
}
]
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Available options:
Derivitec.Web.Core.MarketData.ApiGetEquitiesRequest, Derivitec.Web.Core Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?